Commit c92ad9fc authored by Mark Olesen's avatar Mark Olesen

ENH: test for WM_PROJECT_DIR being set/unset in scripts

COMP: provide separate get_pvplugin_api function
parent 832ce59e
#!/bin/sh #!/bin/sh
cd ${0%/*} || exit 1 # Run from this directory cd ${0%/*} || exit 1 # Run from this directory
. $WM_PROJECT_DIR/wmake/scripts/wmakeFunctions # Source wmake functions . ${WM_PROJECT_DIR:?}/wmake/scripts/wmakeFunctions # Require wmake functions
. ${WM_PROJECT_DIR:?}/wmake/scripts/paraviewFunctions # For API info
# -----------------------------------------------------------------------------
get_pvplugin_api || echo "No ParaView plugin information found" 1>&2
# Cleanup libraries # Cleanup libraries
wclean libso foamPv wclean libso foamPv
......
#!/bin/sh #!/bin/sh
cd ${0%/*} || exit 1 # Run from this directory cd ${0%/*} || exit 1 # Run from this directory
export WM_CONTINUE_ON_ERROR=true # Optional unit export WM_CONTINUE_ON_ERROR=true # Optional unit
. $WM_PROJECT_DIR/wmake/scripts/AllwmakeParseArguments . ${WM_PROJECT_DIR:?}/wmake/scripts/AllwmakeParseArguments
. $WM_PROJECT_DIR/wmake/scripts/paraviewFunctions # CMake and PV functions . ${WM_PROJECT_DIR:?}/wmake/scripts/paraviewFunctions # CMake, PV functions
# ----------------------------------------------------------------------------- # -----------------------------------------------------------------------------
warnIncomplete() warnIncomplete()
...@@ -20,7 +19,7 @@ then ...@@ -20,7 +19,7 @@ then
wmakeLibPv blockMeshReader/library wmakeLibPv blockMeshReader/library
wmakeLibPv foamReader/library wmakeLibPv foamReader/library
unset cmakeType unset cmakeOpts cmakeType
if [ "$targetType" != objects ] if [ "$targetType" != objects ]
then then
...@@ -37,8 +36,8 @@ then ...@@ -37,8 +36,8 @@ then
if [ -n "$cmakeType" ] if [ -n "$cmakeType" ]
then then
"$cmakeType" $PWD/blockMeshReader || warnIncomplete "blockMesh" "$cmakeType" $PWD/blockMeshReader "$cmakeOpts" || warnIncomplete "blockMesh"
"$cmakeType" $PWD/foamReader || warnIncomplete "OpenFOAM" "$cmakeType" $PWD/foamReader "$cmakeOpts" || warnIncomplete "OpenFOAM"
fi fi
) )
fi fi
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment